Interface AvroEndpointBuilderFactory.AvroBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
AvroEndpointBuilderFactory
public static interface AvroEndpointBuilderFactory.AvroBuilders
-
Method Summary
Modifier and TypeMethodDescriptionavro()Avro RPC (camel-avro-rpc) Produce or consume Apache Avro RPC services.Avro RPC (camel-avro-rpc) Produce or consume Apache Avro RPC services.Avro RPC (camel-avro-rpc) Produce or consume Apache Avro RPC services.
-
Method Details
-
avro
Avro RPC (camel-avro-rpc) Produce or consume Apache Avro RPC services. Category: rpc Since: 2.10 Maven coordinates: org.apache.camel:camel-avro-rpc- Returns:
- the dsl builder for the headers' name.
-
avro
Avro RPC (camel-avro-rpc) Produce or consume Apache Avro RPC services. Category: rpc Since: 2.10 Maven coordinates: org.apache.camel:camel-avro-rpc Syntax:avro:transport:host:port/messageNamePath parameter: transport (required) Transport to use, can be either http or netty There are 2 enums and the value can be one of: http, netty Path parameter: port (required) Port number to use Path parameter: host (required) Hostname to use Path parameter: messageName The name of the message to send.- Parameters:
path- transport:host:port/messageName- Returns:
- the dsl builder
-
avro
Avro RPC (camel-avro-rpc) Produce or consume Apache Avro RPC services. Category: rpc Since: 2.10 Maven coordinates: org.apache.camel:camel-avro-rpc Syntax:avro:transport:host:port/messageNamePath parameter: transport (required) Transport to use, can be either http or netty There are 2 enums and the value can be one of: http, netty Path parameter: port (required) Port number to use Path parameter: host (required) Hostname to use Path parameter: messageName The name of the message to send.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- transport:host:port/messageName- Returns:
- the dsl builder
-